#include "common_vs.glsl"

void main()
{
  vec4 vertice_a_iluminar = WorldMatrix * at_VertexCoords ;
  vec3 normal_a_iluminar = mat3(NormalMatrix) * at_Normal ;
  ProcesarIluminacion(vertice_a_iluminar, normal_a_iluminar) ;

  ProcesarTexturas() ;

  gl_Position = ModelViewProjectionMatrix * at_VertexCoords ;
}

